Early minecraft versions

The tunnel works for my minecraft server thats up to date for the current version, but I recently have been trying to make a beta minecraft server and it’s been giving me “Internal Exception: java.net.SocketException: Connection reset” as soon as I try to connect to my tunnel. Does it support older versions of minecraft or is the problem elsewhere?

I think something wrong with minecraft or tunnel

To get old versions of Minecraft to work with playit you’ll need to create a custom TCP tunnel. This is due to older versions of Minecraft not using functionality that the Minecraft tunnel type requires.